apiVersion: org.eclipse.che/v2
kind: CheCluster
metadata:
  creationTimestamp: '2023-05-15T12:23:47Z'
  finalizers:
    - checluster.che.eclipse.org
    - cheGateway.clusterpermissions.finalizers.che.eclipse.org
    - cheWorkspaces.clusterpermissions.finalizers.che.eclipse.org
    - namespaces-editor.permissions.finalizers.che.eclipse.org
    - devWorkspace.permissions.finalizers.che.eclipse.org
    - oauthclients.finalizers.che.eclipse.org
    - dashboard.clusterpermissions.finalizers.che.eclipse.org
    - container-build.finalizers.che.eclipse.org
    - consolelink.finalizers.che.eclipse.org
  generation: 1
  managedFields:
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:components':
            .: {}
            'f:cheServer':
              .: {}
              'f:debug': {}
              'f:logLevel': {}
            'f:dashboard':
              .: {}
              'f:headerMessage':
                .: {}
                'f:show': {}
                'f:text': {}
            'f:database':
              .: {}
              'f:credentialsSecretName': {}
              'f:externalDb': {}
              'f:postgresDb': {}
              'f:postgresHostName': {}
              'f:postgresPort': {}
              'f:pvc':
                .: {}
                'f:claimSize': {}
            'f:metrics':
              .: {}
              'f:enable': {}
          'f:containerRegistry': {}
          'f:devEnvironments':
            'f:defaultComponents': {}
            'f:secondsOfInactivityBeforeIdling': {}
            'f:storage':
              .: {}
              'f:pvcStrategy': {}
            'f:startTimeoutSeconds': {}
            .: {}
            'f:defaultNamespace':
              .: {}
              'f:autoProvision': {}
              'f:template': {}
            'f:disableContainerBuildCapabilities': {}
            'f:secondsOfRunBeforeIdling': {}
            'f:maxNumberOfWorkspacesPerUser': {}
            'f:defaultEditor': {}
            'f:maxNumberOfRunningWorkspacesPerUser': {}
          'f:gitServices': {}
          'f:networking':
            .: {}
            'f:auth':
              .: {}
              'f:gateway':
                .: {}
                'f:configLabels':
                  .: {}
                  'f:app': {}
                  'f:component': {}
      manager: unknown
      operation: Update
      time: '2023-05-15T12:23:47Z'
    - apiVersion: org.eclipse.che/v2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            'v:"consolelink.finalizers.che.eclipse.org"': {}
            'v:"container-build.finalizers.che.eclipse.org"': {}
        'f:status':
          'f:chePhase': {}
          'f:cheURL': {}
          'f:cheVersion': {}
          'f:gatewayPhase': {}
          'f:workspaceBaseDomain': {}
      manager: manager
      operation: Update
      time: '2023-05-15T12:26:36Z'
  name: devspaces
  namespace: openshift-devspaces
  resourceVersion: '126040770'
  uid: b2a4e8a9-f294-4664-8648-526f8c15c7a2
spec:
  components:
    cheServer:
      debug: false
      logLevel: INFO
    dashboard:
      headerMessage:
        show: true
        text: >-
          Microsoft Visual Studio Code - Open Source is the default <a
          href='https://access.redhat.com/documentation/en-us/red_hat_openshift_dev_spaces/3.5/html-single/user_guide/index#selecting-a-workspace-ide'>editor</a>
          for new workspaces. Eclipse Theia is <a
          href='https://access.redhat.com/documentation/en-us/red_hat_openshift_dev_spaces/3.5/html-single/release_notes_and_known_issues/index#deprecated-functionalities'>deprecated</a>
          and will be removed in a future release.
    database:
      credentialsSecretName: postgres-credentials
      externalDb: false
      postgresDb: dbche
      postgresHostName: postgres
      postgresPort: '5432'
      pvc:
        claimSize: 1Gi
    devWorkspace: {}
    devfileRegistry: {}
    imagePuller:
      enable: false
      spec: {}
    metrics:
      enable: true
    pluginRegistry:
      openVSXURL: 'https://open-vsx.org'
  containerRegistry: {}
  devEnvironments:
    startTimeoutSeconds: 300
    secondsOfRunBeforeIdling: -1
    maxNumberOfWorkspacesPerUser: -1
    containerBuildConfiguration:
      openShiftSecurityContextConstraint: container-build
    disableContainerBuildCapabilities: false
    defaultEditor: che-incubator/che-code/latest
    maxNumberOfRunningWorkspacesPerUser: 10000
    defaultComponents:
      - container:
          image: >-
            registry.redhat.io/devspaces/udi-rhel8@sha256:99ff1b5c541855e4cf368816c4bcdcdc86d32304023f72c4443213a4032ef05b
          sourceMapping: /projects
        name: universal-developer-image
    defaultNamespace:
      autoProvision: true
      template: <username>-devspaces
    secondsOfInactivityBeforeIdling: 1800
    storage:
      pvcStrategy: per-user
  gitServices: {}
  networking:
    auth:
      gateway:
        configLabels:
          app: che
          component: che-gateway-config
status:
  chePhase: Active
  cheURL: 'https://devspaces.apps.ocp410-dnochev.crw-qe.com'
  cheVersion: 3.5.0
  devfileRegistryURL: 'https://devspaces.apps.ocp410-dnochev.crw-qe.com/devfile-registry'
  gatewayPhase: Established
  pluginRegistryURL: 'https://devspaces.apps.ocp410-dnochev.crw-qe.com/plugin-registry/v3'
  postgresVersion: '13.7'
  workspaceBaseDomain: apps.ocp410-dnochev.crw-qe.com
